Bug 116030 - sound works in some apps, but not others.
sound works in some apps, but not others.
Product: Fedora
Classification: Fedora
Component: esound (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
Depends On:
  Show dependency treegraph
Reported: 2004-02-17 13:32 EST by Need Real Name
Modified: 2013-03-13 00:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-25 14:03:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2004-02-17 13:32:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040206

Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.login and fire up tux racer, sound works
2.fire up chromium, no sound
3.if you play test sound in gnome sound config you can hear the test

Additional info:
Comment 1 Dimitris 2004-02-22 08:27:50 EST
Are you running both tux racer and chromium at the same time?

Because that won't work.

Many applications don't use the esd daemon for sound, thus you
can't play multiple streams at the same time. Those apps grab
the sound device directly, and esd can't use it.
Comment 2 Dimitris 2004-02-22 08:29:11 EST
As an example, when i'm using XMMS to play mp3s, chromium will
not play any sound (esd is already using the dsp device).

The problem is with chromium, not esd itself.
Comment 3 Jacob Kroon 2004-02-25 06:39:47 EST
Actually, it's probably SDL that's using OSS as sound output (if
chromium, which I believe, is using SDL), and SDL can be configured to
use ESound aswell, using some environment variable, can't remember it
right now, www.libsdl.org has the answer.
Comment 4 Dimitris 2004-02-29 09:31:56 EST
I dont see why using OSS is a problem.

I've got a few games which use OSS and they
all work fine. ALSA provides great OSS compatibility.
Comment 5 John (J5) Palmieri 2004-08-25 14:03:20 EDT
Closing as notabug. Please file bugs on individual apps that are not
playing sound.

Note You need to log in before you can comment on or make changes to this bug.